Bug 479212 - python-qpid: the management scripts don't run
Summary: python-qpid: the management scripts don't run
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-qpid
Version: 10
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Nuno Santos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-08 01:59 UTC by Jose Pedro Oliveira
Modified: 2013-09-12 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-15 02:54:08 UTC


Attachments (Terms of Use)
patch to install the qmf module (and the examples) (825 bytes, patch)
2009-01-08 02:57 UTC, Jose Pedro Oliveira
no flags Details | Diff

Description Jose Pedro Oliveira 2009-01-08 01:59:40 UTC
Description of problem:
The management scripts - qpid-config, qpid-printevents, qpid-queue-stats, qpid-route fail to executed due to a missing dep.

Version-Release number of selected component (if applicable):
python-qpid-0.4.728142-2.fc10

How reproducible:
Always

Steps to Reproduce:
1. Just try to run one of the scripts
  
Actual results:

# qpid-config 
Traceback (most recent call last):
  File "/usr/bin/qpid-config", line 26, in <module>
    from qmf.console import Session
ImportError: No module named qmf.console

# qpid-printevents 
Traceback (most recent call last):
  File "/usr/bin/qpid-printevents", line 27, in <module>
    from qmf.console import Console, Session
ImportError: No module named qmf.console

# qpid-queue-stats 
Traceback (most recent call last):
  File "/usr/bin/qpid-queue-stats", line 29, in <module>
    from qmf.console     import Session, Console
ImportError: No module named qmf.console

# qpid-route 
Traceback (most recent call last):
  File "/usr/bin/qpid-route", line 27, in <module>
    from qmf.console import Session, BrokerURL
ImportError: No module named qmf.console


Additional info:

# rpm -ql python-qpid | grep -i qmf
(empty)

$ tar tzvf python-qpid-0.4.728142.tar.gz | grep  -i qmf
drwxrwxr-x nsantos/nsantos     0 2008-12-23 15:41:19 python-qpid-0.4.728142/qmf/
-rw-rw-r-- nsantos/nsantos 53899 2008-12-16 18:29:38 python-qpid-0.4.728142/qmf/console.py
-rw-rw-r-- nsantos/nsantos   791 2008-11-20 20:28:17 python-qpid-0.4.728142/qmf/__init__.py


The python-qpid RPM doesn't include the qmf files.

Comment 1 Jose Pedro Oliveira 2009-01-08 02:57:48 UTC
Created attachment 328433 [details]
patch to install the qmf module (and the examples)

The specfile file adds the missing qmf module and also adds the example files as docs (see #478467)

Comment 2 Fedora Update System 2009-01-08 17:58:36 UTC
python-qpid-0.4.728142-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-qpid-0.4.728142-3.fc9

Comment 3 Fedora Update System 2009-01-08 17:59:26 UTC
python-qpid-0.4.728142-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-qpid-0.4.728142-3.fc10

Comment 4 Nuno Santos 2009-01-08 18:03:10 UTC
Thanks for the patch!

The qmf issue has been fixed at python-qpid-0.4.728142-3.fc10. There's a
pending update at:
https://admin.fedoraproject.org/updates/python-qpid-0.4.728142-3.fc10

Regarding the examples, the plan is to package them in a separate package which
will also include docs and tutorials, so I haven't added them here.

Nuno

Comment 5 Jose Pedro Oliveira 2009-01-08 21:59:43 UTC
(In reply to comment #4)
> Thanks for the patch!
> 
> The qmf issue has been fixed at python-qpid-0.4.728142-3.fc10. There's a
> pending update at:
> https://admin.fedoraproject.org/updates/python-qpid-0.4.728142-3.fc10

Thanks.

> Regarding the examples, the plan is to package them in a separate package which
> will also include docs and tutorials, so I haven't added them here.

Based on the answer I got from Ted Ross a couple of weeks ago [1], I thought the idea was to package the examples with the client bindings and that's why I tried to get the python examples being packaged.  But if the new plan is to package them together I will have to wait for the new package :(

/jpo

[1] - https://fedoraproject.org/wiki/Talk:Features/AMQP_Infrastructure

Comment 6 Nuno Santos 2009-01-14 15:33:32 UTC
You are correct, I wasn't aware that the decision to include the examples in the client packages had already been made when I wrote the comment above. I will re-spin to include examples soon.

Comment 7 Fedora Update System 2009-01-15 02:54:06 UTC
python-qpid-0.4.728142-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-01-15 03:08:29 UTC
python-qpid-0.4.728142-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.